Bug 130279 - Missing emojis in the en-GB autocorrect
Summary: Missing emojis in the en-GB autocorrect
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: medium normal
Assignee: Marco A.G.Pinto
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2020-01-30 06:12 UTC by Marco A.G.Pinto
Modified: 2021-02-23 10:07 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Merged US + GB and removed duplicates (142.51 KB, patch)
2021-02-11 16:25 UTC, Marco A.G.Pinto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco A.G.Pinto 2020-01-30 06:12:13 UTC
Hello!

I was going to do some work on the GB autocorrect.

So, my first attempt was to extract the words from the US + GB and see which ones were missing in each one (comparing both).

I went to the folder where they are stored and copied them, renamed to .zip and extracted.

Using my tool, Proofing Tool GUI, I found out that the GB autocorrect has 525 missing symbols.

I wonder how this can happen.

Anyway, here is the list of words missing in GB:
<block-list:block block-list:abbreviated-name=":&#x2026;:" block-list:name="&#x2026;"/>
<block-list:block block-list:abbreviated-name=":.:" block-list:name="&#x2026;"/>
<block-list:block block-list:abbreviated-name=":1 h:" block-list:name="&#x1F550;"/>
<block-list:block block-list:abbreviated-name=":1.30:" block-list:name="&#x1F55C;"/>
<block-list:block block-list:abbreviated-name=":10 h:" block-list:name="&#x1F559;"/>
<block-list:block block-list:abbreviated-name=":10.30:" block-list:name="&#x1F565;"/>
<block-list:block block-list:abbreviated-name=":11 h:" block-list:name="&#x1F55A;"/>
<block-list:block block-list:abbreviated-name=":11.30:" block-list:name="&#x1F566;"/>
<block-list:block block-list:abbreviated-name=":12 h:" block-list:name="&#x1F55B;"/>
<block-list:block block-list:abbreviated-name=":12.30:" block-list:name="&#x1F567;"/>
<block-list:block block-list:abbreviated-name=":2 h:" block-list:name="&#x1F551;"/>
<block-list:block block-list:abbreviated-name=":2.30:" block-list:name="&#x1F55D;"/>
<block-list:block block-list:abbreviated-name=":3 h:" block-list:name="&#x1F552;"/>
<block-list:block block-list:abbreviated-name=":3.30:" block-list:name="&#x1F55E;"/>
<block-list:block block-list:abbreviated-name=":4 h:" block-list:name="&#x1F553;"/>
<block-list:block block-list:abbreviated-name=":4.30:" block-list:name="&#x1F55F;"/>
<block-list:block block-list:abbreviated-name=":5 h:" block-list:name="&#x1F554;"/>
<block-list:block block-list:abbreviated-name=":5.30:" block-list:name="&#x1F560;"/>
<block-list:block block-list:abbreviated-name=":6 h:" block-list:name="&#x1F555;"/>
<block-list:block block-list:abbreviated-name=":6.30:" block-list:name="&#x1F561;"/>
<block-list:block block-list:abbreviated-name=":7 h:" block-list:name="&#x1F556;"/>
<block-list:block block-list:abbreviated-name=":7.30:" block-list:name="&#x1F562;"/>
<block-list:block block-list:abbreviated-name=":8 h:" block-list:name="&#x1F557;"/>
<block-list:block block-list:abbreviated-name=":8.30:" block-list:name="&#x1F563;"/>
<block-list:block block-list:abbreviated-name=":9 h:" block-list:name="&#x1F558;"/>
<block-list:block block-list:abbreviated-name=":9.30:" block-list:name="&#x1F564;"/>
<block-list:block block-list:abbreviated-name="::" block-list:name=""/>
<block-list:block block-list:abbreviated-name=":^C:" block-list:name="&#x1D30;"/>
<block-list:block block-list:abbreviated-name=":^D:" block-list:name="&#x1D30;"/>
<block-list:block block-list:abbreviated-name=":adult:" block-list:name="&#x1F9D1;"/>
<block-list:block block-list:abbreviated-name=":airplane2:" block-list:name="&#x1F6E9;"/>
<block-list:block block-list:abbreviated-name=":airplane3:" block-list:name="&#x1F6E7;"/>
<block-list:block block-list:abbreviated-name=":airplane4:" block-list:name="&#x1F6E8;"/>
<block-list:block block-list:abbreviated-name=":airplane5:" block-list:name="&#x1F6E6;"/>
<block-list:block block-list:abbreviated-name=":airplane6:" block-list:name="&#x1F6EA;"/>
<block-list:block block-list:abbreviated-name=":amphora:" block-list:name="&#x1F3FA;"/>
<block-list:block block-list:abbreviated-name=":antenna:" block-list:name="&#x1F4E1;"/>
<block-list:block block-list:abbreviated-name=":aquarius:" block-list:name="&#x2652;"/>
<block-list:block block-list:abbreviated-name=":Aquarius:" block-list:name="&#x2652;"/>
<block-list:block block-list:abbreviated-name=":Aries:" block-list:name="&#x2648;"/>
<block-list:block block-list:abbreviated-name=":aries:" block-list:name="&#x2648;"/>
<block-list:block block-list:abbreviated-name=":arrival:" block-list:name="&#x1F6EC;"/>
<block-list:block block-list:abbreviated-name=":arrows:" block-list:name="&#x1F5D8;"/>
<block-list:block block-list:abbreviated-name=":avocado:" block-list:name="&#x1F951;"/>
<block-list:block block-list:abbreviated-name=":baby3:" block-list:name="&#x1F931;"/>
<block-list:block block-list:abbreviated-name=":bacon:" block-list:name="&#x1F953;"/>
<block-list:block block-list:abbreviated-name=":badminton:" block-list:name="&#x1F3F8;"/>
<block-list:block block-list:abbreviated-name=":ballot:" block-list:name="&#x1F5F3;"/>
<block-list:block block-list:abbreviated-name=":bandage:" block-list:name="&#x1F915;"/>
<block-list:block block-list:abbreviated-name=":bat:" block-list:name="&#x1F987;"/>
<block-list:block block-list:abbreviated-name=":beach:" block-list:name="&#x1F3D6;"/>
<block-list:block block-list:abbreviated-name=":beads:" block-list:name="&#x1F4FF;"/>
<block-list:block block-list:abbreviated-name=":beard:" block-list:name="&#x1F9D4;"/>
<block-list:block block-list:abbreviated-name=":bed:" block-list:name="&#x1F6CF;"/>
<block-list:block block-list:abbreviated-name=":bell2:" block-list:name="&#x1F6CE;"/>
<block-list:block block-list:abbreviated-name=":bell3:" block-list:name="&#x1F56D;"/>
<block-list:block block-list:abbreviated-name=":bitcoin:" block-list:name="&#x20BF;"/>
<block-list:block block-list:abbreviated-name=":black heart:" block-list:name="&#x1F5A4;"/>
<block-list:block block-list:abbreviated-name=":blossom2:" block-list:name="&#x1F338;"/>
<block-list:block block-list:abbreviated-name=":book3:" block-list:name="&#x1F4D6;"/>
<block-list:block block-list:abbreviated-name=":bouquet2:" block-list:name="&#x1F395;"/>
<block-list:block block-list:abbreviated-name=":bowl:" block-list:name="&#x1F963;"/>
<block-list:block block-list:abbreviated-name=":box:" block-list:name="&#x1F5C3;"/>
<block-list:block block-list:abbreviated-name=":boxing:" block-list:name="&#x1F94A;"/>
<block-list:block block-list:abbreviated-name=":boys:" block-list:name="&#x1F6C9;"/>
<block-list:block block-list:abbreviated-name=":brain:" block-list:name="&#x1F9E0;"/>
<block-list:block block-list:abbreviated-name=":bread2:" block-list:name="&#x1F956;"/>
<block-list:block block-list:abbreviated-name=":broccoli:" block-list:name="&#x1F966;"/>
<block-list:block block-list:abbreviated-name=":bronze:" block-list:name="&#x1F949;"/>
<block-list:block block-list:abbreviated-name=":bubble10:" block-list:name="&#x1F5E9;"/>
<block-list:block block-list:abbreviated-name=":bubble2:" block-list:name="&#x1F5EA;"/>
<block-list:block block-list:abbreviated-name=":bubble3:" block-list:name="&#x1F5EB;"/>
<block-list:block block-list:abbreviated-name=":bubble4:" block-list:name="&#x1F5EF;"/>
<block-list:block block-list:abbreviated-name=":bubble5:" block-list:name="&#x1F5ED;"/>
<block-list:block block-list:abbreviated-name=":bubble6:" block-list:name="&#x1F5F1;"/>
<block-list:block block-list:abbreviated-name=":bubble7:" block-list:name="&#x1F5EC;"/>
<block-list:block block-list:abbreviated-name=":bubble8:" block-list:name="&#x1F5EE;"/>
<block-list:block block-list:abbreviated-name=":bubble9:" block-list:name="&#x1F5F0;"/>
<block-list:block block-list:abbreviated-name=":bubble:" block-list:name="&#x1F5E8;"/>
<block-list:block block-list:abbreviated-name=":bullhorn2:" block-list:name="&#x1F56C;"/>
<block-list:block block-list:abbreviated-name=":bullhorn:" block-list:name="&#x1F56B;"/>
<block-list:block block-list:abbreviated-name=":burrito:" block-list:name="&#x1F32F;"/>
<block-list:block block-list:abbreviated-name=":butterfly:" block-list:name="&#x1F98B;"/>
<block-list:block block-list:abbreviated-name=":cabinet:" block-list:name="&#x1F5C4;"/>
<block-list:block block-list:abbreviated-name=":calculator:" block-list:name="&#x1F5A9;"/>
<block-list:block block-list:abbreviated-name=":calendar3:" block-list:name="&#x1F5D3;"/>
<block-list:block block-list:abbreviated-name=":call:" block-list:name="&#x1F919;"/>
<block-list:block block-list:abbreviated-name=":camping:" block-list:name="&#x1F3D5;"/>
<block-list:block block-list:abbreviated-name=":can:" block-list:name="&#x1F96B;"/>
<block-list:block block-list:abbreviated-name=":cancel:" block-list:name="&#x1F5D9;"/>
<block-list:block block-list:abbreviated-name=":cancer:" block-list:name="&#x264B;"/>
<block-list:block block-list:abbreviated-name=":Cancer:" block-list:name="&#x264B;"/>
<block-list:block block-list:abbreviated-name=":candle:" block-list:name="&#x1F56F;"/>
<block-list:block block-list:abbreviated-name=":canoe:" block-list:name="&#x1F6F6;"/>
<block-list:block block-list:abbreviated-name=":cap:" block-list:name="&#x1F9E2;"/>
<block-list:block block-list:abbreviated-name=":capricorn:" block-list:name="&#x2651;"/>
<block-list:block block-list:abbreviated-name=":Capricorn:" block-list:name="&#x2651;"/>
<block-list:block block-list:abbreviated-name=":car4:" block-list:name="&#x1F3CE;"/>
<block-list:block block-list:abbreviated-name=":carousel horse:" block-list:name="&#x1F3A0;"/>
<block-list:block block-list:abbreviated-name=":carrot:" block-list:name="&#x1F955;"/>
<block-list:block block-list:abbreviated-name=":cart:" block-list:name="&#x1F6D2;"/>
<block-list:block block-list:abbreviated-name=":cartridge:" block-list:name="&#x1F5AD;"/>
<block-list:block block-list:abbreviated-name=":Celtic cross:" block-list:name="&#x1F548;"/>
<block-list:block block-list:abbreviated-name=":char:" block-list:name="&#x1F4C8;"/>
<block-list:block block-list:abbreviated-name=":chart4:" block-list:name="&#x1F4B9;"/>
<block-list:block block-list:abbreviated-name=":chart5:" block-list:name="&#x1F5E0;"/>
<block-list:block block-list:abbreviated-name=":check mark4:" block-list:name="&#x1F5F4;"/>
<block-list:block block-list:abbreviated-name=":check mark5:" block-list:name="&#x1F5F8;"/>
<block-list:block block-list:abbreviated-name=":checkbox4:" block-list:name="&#x1F5F7;"/>
<block-list:block block-list:abbreviated-name=":checkbox5:" block-list:name="&#x1F5F9;"/>
<block-list:block block-list:abbreviated-name=":checkbox6:" block-list:name="&#x1F5F5;"/>
<block-list:block block-list:abbreviated-name=":cheese:" block-list:name="&#x1F9C0;"/>
<block-list:block block-list:abbreviated-name=":cherries:" block-list:name="&#x1F352;"/>
<block-list:block block-list:abbreviated-name=":cherry blossom:" block-list:name="&#x1F338;"/>
<block-list:block block-list:abbreviated-name=":cherry:" block-list:name="&#x1F352;"/>
<block-list:block block-list:abbreviated-name=":child:" block-list:name="&#x1F9D2;"/>
<block-list:block block-list:abbreviated-name=":children crossing:" block-list:name="&#x1F6B8;"/>
<block-list:block block-list:abbreviated-name=":chipmunk:" block-list:name="&#x1F43F;"/>
<block-list:block block-list:abbreviated-name=":chopsticks:" block-list:name="&#x1F962;"/>
<block-list:block block-list:abbreviated-name=":Christmas:" block-list:name="&#x1F384;"/>
<block-list:block block-list:abbreviated-name=":christmas:" block-list:name="&#x1F384;"/>
<block-list:block block-list:abbreviated-name=":circle3:" block-list:name="&#x1F53E;"/>
<block-list:block block-list:abbreviated-name=":circle4:" block-list:name="&#x1F53F;"/>
<block-list:block block-list:abbreviated-name=":circus tent:" block-list:name="&#x1F3AA;"/>
<block-list:block block-list:abbreviated-name=":circus:" block-list:name="&#x1F3AA;"/>
<block-list:block block-list:abbreviated-name=":city:" block-list:name="&#x1F3D9;"/>
<block-list:block block-list:abbreviated-name=":clamp:" block-list:name="&#x1F5DC;"/>
<block-list:block block-list:abbreviated-name=":climber:" block-list:name="&#x1F9D7;"/>
<block-list:block block-list:abbreviated-name=":clock:" block-list:name="&#x1F570;"/>
<block-list:block block-list:abbreviated-name=":cloudy2:" block-list:name="&#x1F325;"/>
<block-list:block block-list:abbreviated-name=":cloudy:" block-list:name="&#x1F324;"/>
<block-list:block block-list:abbreviated-name=":clown:" block-list:name="&#x1F921;"/>
<block-list:block block-list:abbreviated-name=":coat:" block-list:name="&#x1F9E5;"/>
<block-list:block block-list:abbreviated-name=":coconut:" block-list:name="&#x1F965;"/>
<block-list:block block-list:abbreviated-name=":computer2:" block-list:name="&#x1F5A5;"/>
<block-list:block block-list:abbreviated-name=":confetti ball:" block-list:name="&#x1F38A;"/>
<block-list:block block-list:abbreviated-name=":control:" block-list:name="&#x1F39B;"/>
<block-list:block block-list:abbreviated-name=":cookie2:" block-list:name="&#x1F960;"/>
<block-list:block block-list:abbreviated-name=":cooking:" block-list:name="&#x1F373;"/>
<block-list:block block-list:abbreviated-name=":couch:" block-list:name="&#x1F6CB;"/>
<block-list:block block-list:abbreviated-name=":cowboy:" block-list:name="&#x1F920;"/>
<block-list:block block-list:abbreviated-name=":crab:" block-list:name="&#x1F980;"/>
<block-list:block block-list:abbreviated-name=":crane:" block-list:name="&#x1F3D7;"/>
<block-list:block block-list:abbreviated-name=":crayon:" block-list:name="&#x1F58D;"/>
<block-list:block block-list:abbreviated-name=":cricket2:" block-list:name="&#x1F997;"/>
<block-list:block block-list:abbreviated-name=":cricket:" block-list:name="&#x1F3CF;"/>
<block-list:block block-list:abbreviated-name=":croissant:" block-list:name="&#x1F950;"/>
<block-list:block block-list:abbreviated-name=":crosswalk:" block-list:name="&#x1F6B8;"/>
<block-list:block block-list:abbreviated-name=":cucumber:" block-list:name="&#x1F952;"/>
<block-list:block block-list:abbreviated-name=":curling:" block-list:name="&#x1F94C;"/>
<block-list:block block-list:abbreviated-name=":currency exchange:" block-list:name="&#x1F4B1;"/>
<block-list:block block-list:abbreviated-name=":cursing:" block-list:name="&#x1F92C;"/>
<block-list:block block-list:abbreviated-name=":dancer2:" block-list:name="&#x1F57A;"/>
<block-list:block block-list:abbreviated-name=":deer:" block-list:name="&#x1F98C;"/>
<block-list:block block-list:abbreviated-name=":departure:" block-list:name="&#x1F6EB;"/>
<block-list:block block-list:abbreviated-name=":desert:" block-list:name="&#x1F3DC;"/>
<block-list:block block-list:abbreviated-name=":detective:" block-list:name="&#x1F575;"/>
<block-list:block block-list:abbreviated-name=":dinosaur2:" block-list:name="&#x1F996;"/>
<block-list:block block-list:abbreviated-name=":dinosaur:" block-list:name="&#x1F995;"/>
<block-list:block block-list:abbreviated-name=":document2:" block-list:name="&#x1F5B9;"/>
<block-list:block block-list:abbreviated-name=":document3:" block-list:name="&#x1F5BB;"/>
<block-list:block block-list:abbreviated-name=":document4:" block-list:name="&#x1F5BA;"/>
<block-list:block block-list:abbreviated-name=":document:" block-list:name="&#x1F5CE;"/>
<block-list:block block-list:abbreviated-name=":dove:" block-list:name="&#x1F54A;"/>
<block-list:block block-list:abbreviated-name=":down3:" block-list:name="&#x1F59F;"/>
<block-list:block block-list:abbreviated-name=":down4:" block-list:name="&#x1F597;"/>
<block-list:block block-list:abbreviated-name=":down5:" block-list:name="&#x1F5A3;"/>
<block-list:block block-list:abbreviated-name=":down6:" block-list:name="&#x1F5A1;"/>
<block-list:block block-list:abbreviated-name=":drink2:" block-list:name="&#x1F379;"/>
<block-list:block block-list:abbreviated-name=":drink:" block-list:name="&#x1F964;"/>
<block-list:block block-list:abbreviated-name=":drool:" block-list:name="&#x1F924;"/>
<block-list:block block-list:abbreviated-name=":droplet2:" block-list:name="&#x1F322;"/>
<block-list:block block-list:abbreviated-name=":drum2:" block-list:name="&#x1F941;"/>
<block-list:block block-list:abbreviated-name=":drum:" block-list:name="&#x1F6E2;"/>
<block-list:block block-list:abbreviated-name=":duck:" block-list:name="&#x1F986;"/>
<block-list:block block-list:abbreviated-name=":dumpling:" block-list:name="&#x1F95F;"/>
<block-list:block block-list:abbreviated-name=":eagle:" block-list:name="&#x1F985;"/>
<block-list:block block-list:abbreviated-name=":earth:" block-list:name="&#x2641;"/>
<block-list:block block-list:abbreviated-name=":Earth:" block-list:name="&#x2641;"/>
<block-list:block block-list:abbreviated-name=":elf:" block-list:name="&#x1F9DD;"/>
<block-list:block block-list:abbreviated-name=":empty document:" block-list:name="&#x1F5CB;"/>
<block-list:block block-list:abbreviated-name=":empty note pad:" block-list:name="&#x1F5C7;"/>
<block-list:block block-list:abbreviated-name=":empty note page:" block-list:name="&#x1F5C6;"/>
<block-list:block block-list:abbreviated-name=":empty note:" block-list:name="&#x1F5C5;"/>
<block-list:block block-list:abbreviated-name=":empty page:" block-list:name="&#x1F5CC;"/>
<block-list:block block-list:abbreviated-name=":empty pages:" block-list:name="&#x1F5CD;"/>
<block-list:block block-list:abbreviated-name=":envelope4:" block-list:name="&#x1F586;"/>
<block-list:block block-list:abbreviated-name=":envelope5:" block-list:name="&#x1F584;"/>
<block-list:block block-list:abbreviated-name=":envelope6:" block-list:name="&#x1F585;"/>
<block-list:block block-list:abbreviated-name=":envelope7:" block-list:name="&#x1F4E8;"/>
<block-list:block block-list:abbreviated-name=":envelope8:" block-list:name="&#x1F4E9;"/>
<block-list:block block-list:abbreviated-name=":exchange:" block-list:name="&#x1F4B1;"/>
<block-list:block block-list:abbreviated-name=":excited:" block-list:name="&#x1F929;"/>
<block-list:block block-list:abbreviated-name=":eye roll:" block-list:name="&#x1F644;"/>
<block-list:block block-list:abbreviated-name=":eye:" block-list:name="&#x1F441;"/>
<block-list:block block-list:abbreviated-name=":eyebrow:" block-list:name="&#x1F928;"/>
<block-list:block block-list:abbreviated-name=":facepalm:" block-list:name="&#x1F926;"/>
<block-list:block block-list:abbreviated-name=":fair2:" block-list:name="&#x1F3A0;"/>
<block-list:block block-list:abbreviated-name=":fair:" block-list:name="&#x1F3A1;"/>
<block-list:block block-list:abbreviated-name=":fairy:" block-list:name="&#x1F9DA;"/>
<block-list:block block-list:abbreviated-name=":fax2:" block-list:name="&#x1F5B7;"/>
<block-list:block block-list:abbreviated-name=":feast2:" block-list:name="&#x1F544;"/>
<block-list:block block-list:abbreviated-name=":feast:" block-list:name="&#x1F543;"/>
<block-list:block block-list:abbreviated-name=":fencer:" block-list:name="&#x1F93A;"/>
<block-list:block block-list:abbreviated-name=":ferris wheel:" block-list:name="&#x1F3A1;"/>
<block-list:block block-list:abbreviated-name=":film:" block-list:name="&#x1F39E;"/>
<block-list:block block-list:abbreviated-name=":finger:" block-list:name="&#x1F595;"/>
<block-list:block block-list:abbreviated-name=":fire engine2:" block-list:name="&#x1F6F1;"/>
<block-list:block block-list:abbreviated-name=":fist3:" block-list:name="&#x1F91B;"/>
<block-list:block block-list:abbreviated-name=":fist4:" block-list:name="&#x1F91C;"/>
<block-list:block block-list:abbreviated-name=":flag4:" block-list:name="&#x2690;"/>
<block-list:block block-list:abbreviated-name=":flash:" block-list:name="&#x1F4F8;"/>
<block-list:block block-list:abbreviated-name=":flatbread:" block-list:name="&#x1F959;"/>
<block-list:block block-list:abbreviated-name=":floppy2:" block-list:name="&#x1F5AC;"/>
<block-list:block block-list:abbreviated-name=":floppy3:" block-list:name="&#x1F5AB;"/>
<block-list:block block-list:abbreviated-name=":floppy4:" block-list:name="&#x1F5AA;"/>
<block-list:block block-list:abbreviated-name=":flower2:" block-list:name="&#x1F940;"/>
<block-list:block block-list:abbreviated-name=":foggy:" block-list:name="&#x1F301;"/>
<block-list:block block-list:abbreviated-name=":folder3:" block-list:name="&#x1F5C0;"/>
<block-list:block block-list:abbreviated-name=":folder4:" block-list:name="&#x1F5C1;"/>
<block-list:block block-list:abbreviated-name=":folder5:" block-list:name="&#x1F5BF;"/>
<block-list:block block-list:abbreviated-name=":font2:" block-list:name="&#x1F5DA;"/>
<block-list:block block-list:abbreviated-name=":font:" block-list:name="&#x1F5DB;"/>
<block-list:block block-list:abbreviated-name=":food:" block-list:name="&#x1F958;"/>
<block-list:block block-list:abbreviated-name=":fox:" block-list:name="&#x1F98A;"/>
<block-list:block block-list:abbreviated-name=":frame2:" block-list:name="&#x1F5BD;"/>
<block-list:block block-list:abbreviated-name=":frame:" block-list:name="&#x1F5BE;"/>
<block-list:block block-list:abbreviated-name=":frowning2:" block-list:name="&#x1F641;"/>
<block-list:block block-list:abbreviated-name=":gemini:" block-list:name="&#x264A;"/>
<block-list:block block-list:abbreviated-name=":Gemini:" block-list:name="&#x264A;"/>
<block-list:block block-list:abbreviated-name=":genie:" block-list:name="&#x1F9DE;"/>
<block-list:block block-list:abbreviated-name=":giraffe:" block-list:name="&#x1F992;"/>
<block-list:block block-list:abbreviated-name=":girls:" block-list:name="&#x1F6CA;"/>
<block-list:block block-list:abbreviated-name=":glass3:" block-list:name="&#x1F943;"/>
<block-list:block block-list:abbreviated-name=":glass:" block-list:name="&#x1F377;"/>
<block-list:block block-list:abbreviated-name=":gloves:" block-list:name="&#x1F9E4;"/>
<block-list:block block-list:abbreviated-name=":gold:" block-list:name="&#x1F947;"/>
<block-list:block block-list:abbreviated-name=":golf2:" block-list:name="&#x26F3;"/>
<block-list:block block-list:abbreviated-name=":good luck:" block-list:name="&#x1F91E;"/>
<block-list:block block-list:abbreviated-name=":gorilla:" block-list:name="&#x1F98D;"/>
<block-list:block block-list:abbreviated-name=":groom:" block-list:name="&#x1F935;"/>
<block-list:block block-list:abbreviated-name=":gymnast:" block-list:name="&#x1F938;"/>
<block-list:block block-list:abbreviated-name=":Halloween:" block-list:name="&#x1F383;"/>
<block-list:block block-list:abbreviated-name=":halloween:" block-list:name="&#x1F383;"/>
<block-list:block block-list:abbreviated-name=":hammer and wrench:" block-list:name="&#x1F6E0;"/>
<block-list:block block-list:abbreviated-name=":hand2:" block-list:name="&#x1F590;"/>
<block-list:block block-list:abbreviated-name=":hand3:" block-list:name="&#x1F591;"/>
<block-list:block block-list:abbreviated-name=":hand4:" block-list:name="&#x1F91A;"/>
<block-list:block block-list:abbreviated-name=":handball:" block-list:name="&#x1F93E;"/>
<block-list:block block-list:abbreviated-name=":handshake:" block-list:name="&#x1F91D;"/>
<block-list:block block-list:abbreviated-name=":hard disk:" block-list:name="&#x1F5B4;"/>
<block-list:block block-list:abbreviated-name=":head:" block-list:name="&#x1F5E3;"/>
<block-list:block block-list:abbreviated-name=":headscarf:" block-list:name="&#x1F9D5;"/>
<block-list:block block-list:abbreviated-name=":heart2:" block-list:name="&#x1F394;"/>
<block-list:block block-list:abbreviated-name=":hedgehog:" block-list:name="&#x1F994;"/>
<block-list:block block-list:abbreviated-name=":hockey2:" block-list:name="&#x1F3D1;"/>
<block-list:block block-list:abbreviated-name=":hockey:" block-list:name="&#x1F3D2;"/>
<block-list:block block-list:abbreviated-name=":hole:" block-list:name="&#x1F573;"/>
<block-list:block block-list:abbreviated-name=":horns:" block-list:name="&#x1F918;"/>
<block-list:block block-list:abbreviated-name=":horse racing:" block-list:name="&#x1F3C7;"/>
<block-list:block block-list:abbreviated-name=":horse3:" block-list:name="&#x1F3C7;"/>
<block-list:block block-list:abbreviated-name=":hot dog:" block-list:name="&#x1F32D;"/>
<block-list:block block-list:abbreviated-name=":house3:" block-list:name="&#x1F3DA;"/>
<block-list:block block-list:abbreviated-name=":houses:" block-list:name="&#x1F3D8;"/>
<block-list:block block-list:abbreviated-name=":hugging:" block-list:name="&#x1F917;"/>
<block-list:block block-list:abbreviated-name=":hush:" block-list:name="&#x1F92B;"/>
<block-list:block block-list:abbreviated-name=":index:" block-list:name="&#x1F5C2;"/>
<block-list:block block-list:abbreviated-name=":information3:" block-list:name="&#x1F6C8;"/>
<block-list:block block-list:abbreviated-name=":island:" block-list:name="&#x1F3DD;"/>
<block-list:block block-list:abbreviated-name=":joystick:" block-list:name="&#x1F579;"/>
<block-list:block block-list:abbreviated-name=":judo:" block-list:name="&#x1F94B;"/>
<block-list:block block-list:abbreviated-name=":juggling:" block-list:name="&#x1F939;"/>
<block-list:block block-list:abbreviated-name=":Jupiter:" block-list:name="&#x2643;"/>
<block-list:block block-list:abbreviated-name=":jupiter:" block-list:name="&#x2643;"/>
<block-list:block block-list:abbreviated-name=":Kaaba:" block-list:name="&#x1F54B;"/>
<block-list:block block-list:abbreviated-name=":key2:" block-list:name="&#x1F5DD;"/>
<block-list:block block-list:abbreviated-name=":keyboard2:" block-list:name="&#x1F5AE;"/>
<block-list:block block-list:abbreviated-name=":keyboard3:" block-list:name="&#x1F5A6;"/>
<block-list:block block-list:abbreviated-name=":kiwi:" block-list:name="&#x1F95D;"/>
<block-list:block block-list:abbreviated-name=":knife2:" block-list:name="&#x1F5E1;"/>
<block-list:block block-list:abbreviated-name=":label:" block-list:name="&#x1F3F7;"/>
<block-list:block block-list:abbreviated-name=":Latin cross2:" block-list:name="&#x1F546;"/>
<block-list:block block-list:abbreviated-name=":Latin cross3:" block-list:name="&#x1F547;"/>
<block-list:block block-list:abbreviated-name=":laugh:" block-list:name="&#x1F606;"/>
<block-list:block block-list:abbreviated-name=":laughing:" block-list:name="&#x1F606;"/>
<block-list:block block-list:abbreviated-name=":left4:" block-list:name="&#x1F59A;"/>
<block-list:block block-list:abbreviated-name=":left5:" block-list:name="&#x1F59C;"/>
<block-list:block block-list:abbreviated-name=":left6:" block-list:name="&#x1F598;"/>
<block-list:block block-list:abbreviated-name=":leo:" block-list:name="&#x264C;"/>
<block-list:block block-list:abbreviated-name=":Leo:" block-list:name="&#x264C;"/>
<block-list:block block-list:abbreviated-name=":liar:" block-list:name="&#x1F925;"/>
<block-list:block block-list:abbreviated-name=":libra:" block-list:name="&#x264E;"/>
<block-list:block block-list:abbreviated-name=":Libra:" block-list:name="&#x264E;"/>
<block-list:block block-list:abbreviated-name=":lighting:" block-list:name="&#x2607;"/>
<block-list:block block-list:abbreviated-name=":lightning2:" block-list:name="&#x1F5F2;"/>
<block-list:block block-list:abbreviated-name=":lightning3:" block-list:name="&#x2607;"/>
<block-list:block block-list:abbreviated-name=":lightning:" block-list:name="&#x1F329;"/>
<block-list:block block-list:abbreviated-name=":lion:" block-list:name="&#x1F981;"/>
<block-list:block block-list:abbreviated-name=":lips:" block-list:name="&#x1F5E2;"/>
<block-list:block block-list:abbreviated-name=":lizard:" block-list:name="&#x1F98E;"/>
<block-list:block block-list:abbreviated-name=":locomotive2:" block-list:name="&#x1F6F2;"/>
<block-list:block block-list:abbreviated-name=":locomotive:" block-list:name="&#x1F682;"/>
<block-list:block block-list:abbreviated-name=":lol:" block-list:name="&#x1F923;"/>
<block-list:block block-list:abbreviated-name=":love2:" block-list:name="&#x1F91F;"/>
<block-list:block block-list:abbreviated-name=":mage:" block-list:name="&#x1F9D9;"/>
<block-list:block block-list:abbreviated-name=":map:" block-list:name="&#x1F5FA;"/>
<block-list:block block-list:abbreviated-name=":marks chapter:" block-list:name="&#x1F545;"/>
<block-list:block block-list:abbreviated-name=":maximize:" block-list:name="&#x1F5D6;"/>
<block-list:block block-list:abbreviated-name=":medal2:" block-list:name="&#x1F396;"/>
<block-list:block block-list:abbreviated-name=":medal:" block-list:name="&#x1F3C5;"/>
<block-list:block block-list:abbreviated-name=":menorah:" block-list:name="&#x1F54E;"/>
<block-list:block block-list:abbreviated-name=":Mercury:" block-list:name="&#x263F;"/>
<block-list:block block-list:abbreviated-name=":mercury:" block-list:name="&#x263F;"/>
<block-list:block block-list:abbreviated-name=":merperson:" block-list:name="&#x1F9DC;"/>
<block-list:block block-list:abbreviated-name=":microphone2:" block-list:name="&#x1F399;"/>
<block-list:block block-list:abbreviated-name=":milk:" block-list:name="&#x1F95B;"/>
<block-list:block block-list:abbreviated-name=":Milky way:" block-list:name="&#x1F30C;"/>
<block-list:block block-list:abbreviated-name=":milky way:" block-list:name="&#x1F30C;"/>
<block-list:block block-list:abbreviated-name=":minimize:" block-list:name="&#x1F5D5;"/>
<block-list:block block-list:abbreviated-name=":mobile2:" block-list:name="&#x1F581;"/>
<block-list:block block-list:abbreviated-name=":modem:" block-list:name="&#x1F580;"/>
<block-list:block block-list:abbreviated-name=":money2:" block-list:name="&#x1F4B0;"/>
<block-list:block block-list:abbreviated-name=":money3:" block-list:name="&#x1F911;"/>
<block-list:block block-list:abbreviated-name=":moneybag:" block-list:name="&#x1F4B0;"/>
<block-list:block block-list:abbreviated-name=":monocle:" block-list:name="&#x1F9D0;"/>
<block-list:block block-list:abbreviated-name=":mosque:" block-list:name="&#x1F54C;"/>
<block-list:block block-list:abbreviated-name=":motor boat:" block-list:name="&#x1F6E5;"/>
<block-list:block block-list:abbreviated-name=":motorcycle:" block-list:name="&#x1F3CD;"/>
<block-list:block block-list:abbreviated-name=":motorway:" block-list:name="&#x1F6E3;"/>
<block-list:block block-list:abbreviated-name=":mountain2:" block-list:name="&#x1F3D4;"/>
<block-list:block block-list:abbreviated-name=":mouse3:" block-list:name="&#x1F5B1;"/>
<block-list:block block-list:abbreviated-name=":mouse4:" block-list:name="&#x1F5B0;"/>
<block-list:block block-list:abbreviated-name=":mouse5:" block-list:name="&#x1F5AF;"/>
<block-list:block block-list:abbreviated-name=":mrs. claus:" block-list:name="&#x1F936;"/>
<block-list:block block-list:abbreviated-name=":museum:" block-list:name="&#x1F3DB;"/>
<block-list:block block-list:abbreviated-name=":nausea:" block-list:name="&#x1F922;"/>
<block-list:block block-list:abbreviated-name=":Neptune:" block-list:name="&#x2646;"/>
<block-list:block block-list:abbreviated-name=":neptune:" block-list:name="&#x2646;"/>
<block-list:block block-list:abbreviated-name=":nerd:" block-list:name="&#x1F913;"/>
<block-list:block block-list:abbreviated-name=":network:" block-list:name="&#x1F5A7;"/>
<block-list:block block-list:abbreviated-name=":newspaper2:" block-list:name="&#x1F5DE;"/>
<block-list:block block-list:abbreviated-name=":no piracy:" block-list:name="&#x1F572;"/>
<block-list:block block-list:abbreviated-name=":no2:" block-list:name="&#x1F593;"/>
<block-list:block block-list:abbreviated-name=":note pad:" block-list:name="&#x1F5CA;"/>
<block-list:block block-list:abbreviated-name=":note page:" block-list:name="&#x1F5C9;"/>
<block-list:block block-list:abbreviated-name=":note3:" block-list:name="&#x1F5C8;"/>
<block-list:block block-list:abbreviated-name=":notepad:" block-list:name="&#x1F5D2;"/>
<block-list:block block-list:abbreviated-name=":notes3:" block-list:name="&#x1F39D;"/>
<block-list:block block-list:abbreviated-name=":notes4:" block-list:name="&#x1F39C;"/>
<block-list:block block-list:abbreviated-name=":o:" block-list:name="&#x2B55;"/>
<block-list:block block-list:abbreviated-name=":ok3:" block-list:name="&#x1F646;"/>
<block-list:block block-list:abbreviated-name=":old:" block-list:name="&#x1F9D3;"/>
<block-list:block block-list:abbreviated-name=":om:" block-list:name="&#x1F549;"/>
<block-list:block block-list:abbreviated-name=":optical disc:" block-list:name="&#x1F5B8;"/>
<block-list:block block-list:abbreviated-name=":orange heart:" block-list:name="&#x1F9E1;"/>
<block-list:block block-list:abbreviated-name=":overlap:" block-list:name="&#x1F5D7;"/>
<block-list:block block-list:abbreviated-name=":owl:" block-list:name="&#x1F989;"/>
<block-list:block block-list:abbreviated-name=":page facing up:" block-list:name="&#x1F4C4;"/>
<block-list:block block-list:abbreviated-name=":page with curl:" block-list:name="&#x1F4C3;"/>
<block-list:block block-list:abbreviated-name=":page2:" block-list:name="&#x1F5CF;"/>
<block-list:block block-list:abbreviated-name=":page3:" block-list:name="&#x1F4C3;"/>
<block-list:block block-list:abbreviated-name=":page4:" block-list:name="&#x1F5DF;"/>
<block-list:block block-list:abbreviated-name=":page:" block-list:name="&#x1F4C4;"/>
<block-list:block block-list:abbreviated-name=":pages:" block-list:name="&#x1F5D0;"/>
<block-list:block block-list:abbreviated-name=":paintbrush:" block-list:name="&#x1F58C;"/>
<block-list:block block-list:abbreviated-name=":palm2:" block-list:name="&#x1F932;"/>
<block-list:block block-list:abbreviated-name=":pancakes:" block-list:name="&#x1F95E;"/>
<block-list:block block-list:abbreviated-name=":paperclip2:" block-list:name="&#x1F587;"/>
<block-list:block block-list:abbreviated-name=":park:" block-list:name="&#x1F3DE;"/>
<block-list:block block-list:abbreviated-name=":party2:" block-list:name="&#x1F38A;"/>
<block-list:block block-list:abbreviated-name=":party3:" block-list:name="&#x1F942;"/>
<block-list:block block-list:abbreviated-name=":party4:" block-list:name="&#x1F37E;"/>
<block-list:block block-list:abbreviated-name=":pause:" block-list:name="&#x23F8;"/>
<block-list:block block-list:abbreviated-name=":pc:" block-list:name="&#x1F5B3;"/>
<block-list:block block-list:abbreviated-name=":peanuts:" block-list:name="&#x1F95C;"/>
<block-list:block block-list:abbreviated-name=":pen2:" block-list:name="&#x1F58B;"/>
<block-list:block block-list:abbreviated-name=":pen:" block-list:name="&#x1F58A;"/>
<block-list:block block-list:abbreviated-name=":pencil4:" block-list:name="&#x1F589;"/>
<block-list:block block-list:abbreviated-name=":pennant2:" block-list:name="&#x1F3F1;"/>
<block-list:block block-list:abbreviated-name=":pennant:" block-list:name="&#x1F3F2;"/>
<block-list:block block-list:abbreviated-name=":pepper:" block-list:name="&#x1F336;"/>
<block-list:block block-list:abbreviated-name=":phone3:" block-list:name="&#x1F57E;"/>
<block-list:block block-list:abbreviated-name=":phone4:" block-list:name="&#x1F57F;"/>
<block-list:block block-list:abbreviated-name=":picture:" block-list:name="&#x1F5BC;"/>
<block-list:block block-list:abbreviated-name=":pie:" block-list:name="&#x1F967;"/>
<block-list:block block-list:abbreviated-name=":ping pong:" block-list:name="&#x1F3D3;"/>
<block-list:block block-list:abbreviated-name=":pirate:" block-list:name="&#x1F571;"/>
<block-list:block block-list:abbreviated-name=":pisces:" block-list:name="&#x2653;"/>
<block-list:block block-list:abbreviated-name=":Pisces:" block-list:name="&#x2653;"/>
<block-list:block block-list:abbreviated-name=":plate:" block-list:name="&#x1F37D;"/>
<block-list:block block-list:abbreviated-name=":pluto:" block-list:name="&#x2647;"/>
<block-list:block block-list:abbreviated-name=":Pluto:" block-list:name="&#x2647;"/>
<block-list:block block-list:abbreviated-name=":popcorn:" block-list:name="&#x1F37F;"/>
<block-list:block block-list:abbreviated-name=":potato:" block-list:name="&#x1F954;"/>
<block-list:block block-list:abbreviated-name=":pregnant:" block-list:name="&#x1F930;"/>
<block-list:block block-list:abbreviated-name=":pretzel:" block-list:name="&#x1F968;"/>
<block-list:block block-list:abbreviated-name=":prince:" block-list:name="&#x1F934;"/>
<block-list:block block-list:abbreviated-name=":printer2:" block-list:name="&#x1F5B6;"/>
<block-list:block block-list:abbreviated-name=":printer:" block-list:name="&#x1F5A8;"/>
<block-list:block block-list:abbreviated-name=":prohibited:" block-list:name="&#x1F6C7;"/>
<block-list:block block-list:abbreviated-name=":projector:" block-list:name="&#x1F4FD;"/>
<block-list:block block-list:abbreviated-name=":prostration:" block-list:name="&#x1F647;"/>
<block-list:block block-list:abbreviated-name=":race:" block-list:name="&#x1F3C1;"/>
<block-list:block block-list:abbreviated-name=":rainy:" block-list:name="&#x1F326;"/>
<block-list:block block-list:abbreviated-name=":rays2:" block-list:name="&#x1F5E5;"/>
<block-list:block block-list:abbreviated-name=":rays3:" block-list:name="&#x1F5E4;"/>
<block-list:block block-list:abbreviated-name=":rays4:" block-list:name="&#x1F5E7;"/>
<block-list:block block-list:abbreviated-name=":rays:" block-list:name="&#x1F5E6;"/>
<block-list:block block-list:abbreviated-name=":receiver2:" block-list:name="&#x1F57B;"/>
<block-list:block block-list:abbreviated-name=":receiver3:" block-list:name="&#x1F57D;"/>
<block-list:block block-list:abbreviated-name=":receiver4:" block-list:name="&#x1F57C;"/>
<block-list:block block-list:abbreviated-name=":record:" block-list:name="&#x23FA;"/>
<block-list:block block-list:abbreviated-name=":rhinoceros:" block-list:name="&#x1F98F;"/>
<block-list:block block-list:abbreviated-name=":ribbon2:" block-list:name="&#x1F380;"/>
<block-list:block block-list:abbreviated-name=":right4:" block-list:name="&#x1F59B;"/>
<block-list:block block-list:abbreviated-name=":right5:" block-list:name="&#x1F599;"/>
<block-list:block block-list:abbreviated-name=":right6:" block-list:name="&#x1F59D;"/>
<block-list:block block-list:abbreviated-name=":robot:" block-list:name="&#x1F916;"/>
<block-list:block block-list:abbreviated-name=":rosette2:" block-list:name="&#x1F3F6;"/>
<block-list:block block-list:abbreviated-name=":rosette:" block-list:name="&#x1F3F5;"/>
<block-list:block block-list:abbreviated-name=":sagittarius:" block-list:name="&#x2650;"/>
<block-list:block block-list:abbreviated-name=":Sagittarius:" block-list:name="&#x2650;"/>
<block-list:block block-list:abbreviated-name=":salad:" block-list:name="&#x1F957;"/>
<block-list:block block-list:abbreviated-name=":sandwich:" block-list:name="&#x1F96A;"/>
<block-list:block block-list:abbreviated-name=":Santa:" block-list:name="&#x1F385;"/>
<block-list:block block-list:abbreviated-name=":santa:" block-list:name="&#x1F385;"/>
<block-list:block block-list:abbreviated-name=":saturn:" block-list:name="&#x2644;"/>
<block-list:block block-list:abbreviated-name=":Saturn:" block-list:name="&#x2644;"/>
<block-list:block block-list:abbreviated-name=":sauna:" block-list:name="&#x1F9D6;"/>
<block-list:block block-list:abbreviated-name=":scarf:" block-list:name="&#x1F9E3;"/>
<block-list:block block-list:abbreviated-name=":schwa:" block-list:name="&#x259;"/>
<block-list:block block-list:abbreviated-name=":scooter2:" block-list:name="&#x1F6F5;"/>
<block-list:block block-list:abbreviated-name=":scooter:" block-list:name="&#x1F6F4;"/>
<block-list:block block-list:abbreviated-name=":scorpion:" block-list:name="&#x1F982;"/>
<block-list:block block-list:abbreviated-name=":scorpius:" block-list:name="&#x264F;"/>
<block-list:block block-list:abbreviated-name=":Scorpius:" block-list:name="&#x264F;"/>
<block-list:block block-list:abbreviated-name=":screen:" block-list:name="&#x1F5B5;"/>
<block-list:block block-list:abbreviated-name=":selfie:" block-list:name="&#x1F933;"/>
<block-list:block block-list:abbreviated-name=":shark:" block-list:name="&#x1F988;"/>
<block-list:block block-list:abbreviated-name=":shield2:" block-list:name="&#x26E8;"/>
<block-list:block block-list:abbreviated-name=":ship2:" block-list:name="&#x1F6F3;"/>
<block-list:block block-list:abbreviated-name=":shocked:" block-list:name="&#x1F92F;"/>
<block-list:block block-list:abbreviated-name=":shop:" block-list:name="&#x1F6CD;"/>
<block-list:block block-list:abbreviated-name=":shrimp:" block-list:name="&#x1F990;"/>
<block-list:block block-list:abbreviated-name=":shrugging:" block-list:name="&#x1F937;"/>
<block-list:block block-list:abbreviated-name=":silver:" block-list:name="&#x1F948;"/>
<block-list:block block-list:abbreviated-name=":skin1:" block-list:name="&#x1F3FB;"/>
<block-list:block block-list:abbreviated-name=":skin2:" block-list:name="&#x1F3FC;"/>
<block-list:block block-list:abbreviated-name=":skin3:" block-list:name="&#x1F3FD;"/>
<block-list:block block-list:abbreviated-name=":skin4:" block-list:name="&#x1F3FE;"/>
<block-list:block block-list:abbreviated-name=":skin5:" block-list:name="&#x1F3FF;"/>
<block-list:block block-list:abbreviated-name=":sled:" block-list:name="&#x1F6F7;"/>
<block-list:block block-list:abbreviated-name=":sleep:" block-list:name="&#x1F6CC;"/>
<block-list:block block-list:abbreviated-name=":slider:" block-list:name="&#x1F39A;"/>
<block-list:block block-list:abbreviated-name=":smiling3:" block-list:name="&#x1F642;"/>
<block-list:block block-list:abbreviated-name=":smiling4:" block-list:name="&#x1F92D;"/>
<block-list:block block-list:abbreviated-name=":sneeze:" block-list:name="&#x1F927;"/>
<block-list:block block-list:abbreviated-name=":snow:" block-list:name="&#x1F328;"/>
<block-list:block block-list:abbreviated-name=":soccer2:" block-list:name="&#x1F945;"/>
<block-list:block block-list:abbreviated-name=":socks:" block-list:name="&#x1F9E6;"/>
<block-list:block block-list:abbreviated-name=":speaker2:" block-list:name="&#x1F569;"/>
<block-list:block block-list:abbreviated-name=":speaker3:" block-list:name="&#x1F568;"/>
<block-list:block block-list:abbreviated-name=":speaker4:" block-list:name="&#x1F56A;"/>
<block-list:block block-list:abbreviated-name=":spider:" block-list:name="&#x1F577;"/>
<block-list:block block-list:abbreviated-name=":spock:" block-list:name="&#x1F596;"/>
<block-list:block block-list:abbreviated-name=":spoon:" block-list:name="&#x1F944;"/>
<block-list:block block-list:abbreviated-name=":squid:" block-list:name="&#x1F991;"/>
<block-list:block block-list:abbreviated-name=":stadium:" block-list:name="&#x1F3DF;"/>
<block-list:block block-list:abbreviated-name=":steak:" block-list:name="&#x1F969;"/>
<block-list:block block-list:abbreviated-name=":steam locomotive:" block-list:name="&#x1F682;"/>
<block-list:block block-list:abbreviated-name=":stereo:" block-list:name="&#x1F4FE;"/>
<block-list:block block-list:abbreviated-name=":stop2:" block-list:name="&#x23F9;"/>
<block-list:block block-list:abbreviated-name=":stop:" block-list:name="&#x1F6D1;"/>
<block-list:block block-list:abbreviated-name=":storm2:" block-list:name="&#x2608;"/>
<block-list:block block-list:abbreviated-name=":suit:" block-list:name="&#x1F574;"/>
<block-list:block block-list:abbreviated-name=":sun2:" block-list:name="&#x1F323;"/>
<block-list:block block-list:abbreviated-name=":sunglasses2:" block-list:name="&#x1F60E;"/>
<block-list:block block-list:abbreviated-name=":synagogue:" block-list:name="&#x1F54D;"/>
<block-list:block block-list:abbreviated-name=":synthesizer:" block-list:name="&#x1F398;"/>
<block-list:block block-list:abbreviated-name=":tack:" block-list:name="&#x1F588;"/>
<block-list:block block-list:abbreviated-name=":taco:" block-list:name="&#x1F32E;"/>
<block-list:block block-list:abbreviated-name=":takeout:" block-list:name="&#x1F961;"/>
<block-list:block block-list:abbreviated-name=":taurus:" block-list:name="&#x2649;"/>
<block-list:block block-list:abbreviated-name=":Taurus:" block-list:name="&#x2649;"/>
<block-list:block block-list:abbreviated-name=":thermometer2:" block-list:name="&#x1F912;"/>
<block-list:block block-list:abbreviated-name=":thermometer:" block-list:name="&#x1F321;"/>
<block-list:block block-list:abbreviated-name=":thinking:" block-list:name="&#x1F914;"/>
<block-list:block block-list:abbreviated-name=":ticket2:" block-list:name="&#x1F39F;"/>
<block-list:block block-list:abbreviated-name=":tornado:" block-list:name="&#x1F32A;"/>
<block-list:block block-list:abbreviated-name=":track:" block-list:name="&#x1F6E4;"/>
<block-list:block block-list:abbreviated-name=":trackball:" block-list:name="&#x1F5B2;"/>
<block-list:block block-list:abbreviated-name=":triangle3:" block-list:name="&#x1F6C6;"/>
<block-list:block block-list:abbreviated-name=":tropical drink:" block-list:name="&#x1F379;"/>
<block-list:block block-list:abbreviated-name=":turkey:" block-list:name="&#x1F983;"/>
<block-list:block block-list:abbreviated-name=":ufo:" block-list:name="&#x1F6F8;"/>
<block-list:block block-list:abbreviated-name=":unicorn:" block-list:name="&#x1F984;"/>
<block-list:block block-list:abbreviated-name=":up3:" block-list:name="&#x1F59E;"/>
<block-list:block block-list:abbreviated-name=":up4:" block-list:name="&#x1F5A0;"/>
<block-list:block block-list:abbreviated-name=":up5:" block-list:name="&#x1F5A2;"/>
<block-list:block block-list:abbreviated-name=":upside-down:" block-list:name="&#x1F643;"/>
<block-list:block block-list:abbreviated-name=":uranus:" block-list:name="&#x2645;"/>
<block-list:block block-list:abbreviated-name=":Uranus:" block-list:name="&#x2645;"/>
<block-list:block block-list:abbreviated-name=":vampire:" block-list:name="&#x1F9DB;"/>
<block-list:block block-list:abbreviated-name=":victory2:" block-list:name="&#x1F594;"/>
<block-list:block block-list:abbreviated-name=":virgo:" block-list:name="&#x264D;"/>
<block-list:block block-list:abbreviated-name=":Virgo:" block-list:name="&#x264D;"/>
<block-list:block block-list:abbreviated-name=":volleyball:" block-list:name="&#x1F3D0;"/>
<block-list:block block-list:abbreviated-name=":vomit:" block-list:name="&#x1F92E;"/>
<block-list:block block-list:abbreviated-name=":wastebasket:" block-list:name="&#x1F5D1;"/>
<block-list:block block-list:abbreviated-name=":water polo:" block-list:name="&#x1F93D;"/>
<block-list:block block-list:abbreviated-name=":web:" block-list:name="&#x1F578;"/>
<block-list:block block-list:abbreviated-name=":weight lifter:" block-list:name="&#x1F3CB;"/>
<block-list:block block-list:abbreviated-name=":wind:" block-list:name="&#x1F32C;"/>
<block-list:block block-list:abbreviated-name=":window:" block-list:name="&#x1F5D4;"/>
<block-list:block block-list:abbreviated-name=":wine glass:" block-list:name="&#x1F377;"/>
<block-list:block block-list:abbreviated-name=":worship:" block-list:name="&#x1F6D0;"/>
<block-list:block block-list:abbreviated-name=":wrestling:" block-list:name="&#x1F93C;"/>
<block-list:block block-list:abbreviated-name=":writing2:" block-list:name="&#x1F58E;"/>
<block-list:block block-list:abbreviated-name=":x4:" block-list:name="&#x1F5F6;"/>
<block-list:block block-list:abbreviated-name=":yes2:" block-list:name="&#x1F592;"/>
<block-list:block block-list:abbreviated-name=":yoga:" block-list:name="&#x1F9D8;"/>
<block-list:block block-list:abbreviated-name=":zany:" block-list:name="&#x1F92A;"/>
<block-list:block block-list:abbreviated-name=":zebra:" block-list:name="&#x1F993;"/>
<block-list:block block-list:abbreviated-name=":zipper:" block-list:name="&#x1F910;"/>
<block-list:block block-list:abbreviated-name=":zombie:" block-list:name="&#x1F9DF;"/>
Comment 1 Xisco Faulí 2020-02-17 15:50:23 UTC
Moving to NEW.

@Marco, do you plan to add them yourself ?
Comment 2 Marco A.G.Pinto 2020-02-17 15:57:52 UTC
(In reply to Xisco Faulí from comment #1)
> Moving to NEW.
> 
> @Marco, do you plan to add them yourself ?

@X1sco:
I am only adding autocorrect words. The emojis should be added automatically by Gerrit.
Comment 3 Xisco Faulí 2020-02-17 16:00:19 UTC
(In reply to Marco A.G.Pinto from comment #2)
> (In reply to Xisco Faulí from comment #1)
> > Moving to NEW.
> > 
> > @Marco, do you plan to add them yourself ?
> 
> @X1sco:
> I am only adding autocorrect words. The emojis should be added automatically
> by Gerrit.

mmm, why should gerrit add the emojis ?
Comment 4 Marco A.G.Pinto 2020-02-17 16:02:46 UTC
(In reply to Xisco Faulí from comment #3)
> (In reply to Marco A.G.Pinto from comment #2)
> > (In reply to Xisco Faulí from comment #1)
> > > Moving to NEW.
> > > 
> > > @Marco, do you plan to add them yourself ?
> > 
> > @X1sco:
> > I am only adding autocorrect words. The emojis should be added automatically
> > by Gerrit.
> 
> mmm, why should gerrit add the emojis ?

Well, the one who added them to US should do it to GB.

:-)
Comment 5 V Stuart Foote 2020-09-28 13:36:55 UTC
@László, some code pointers for Marco to merge the en-US emoji selection to en-GB... unless you want to take it.
Comment 6 Marco A.G.Pinto 2020-09-28 21:49:49 UTC
@László

Can you please do it?

Thanks!
Comment 7 Julien Nabet 2021-01-10 10:11:54 UTC
"Virgo" is present in extras/source/autocorr/lang/en-GB/DocumentList.xml:
1966   <block-list:block block-list:abbreviated-name=":Virgo:" block-list:name="♍"/>

In en-US, it's:
2388   <block-list:block block-list:abbreviated-name=":virgo:" block-list:name="♍"/>

It seems the same for other astrological signs, "capricorn", "aries", etc. I noticed the same: first letter in uppercase in en-GB, lowercase in en-US
So I suppose it's on purpose.

Also, there are some differences between US and Great Britain, see "book/book1/...", "chart" parts. In en-GB, you got ":circus tent:" but in en-US, you just got ":circus:", should we keep both even if same icons?

For the rest, there are indeed missing symbols in en-GB.
Comment 8 Marco A.G.Pinto 2021-02-11 06:44:53 UTC
So, I offer myself to do it.

Could anyone tell me the URL of both US + GB that uses hex numbers like this:

<block-list:block block-list:abbreviated-name=":11 h:" block-list:name="&#x1F55A;"/>

Thanks!
Comment 9 Marco A.G.Pinto 2021-02-11 06:47:13 UTC
or maybe it will be better with the symbols instead of hex, since I will replace directly using the browser?
Comment 10 Marco A.G.Pinto 2021-02-11 16:25:17 UTC
Created attachment 169687 [details]
Merged US + GB and removed duplicates

Hello!

In this file I have merged the US + GB emojis and then deleted the duplicates.

There was also a blank emoji which I deleted: "::"

Notice also the "airplane" which in GB should be named "aeroplane", but I haven't changed it since it is up to the team to decide.

All you now have to do is to delete all emojis in the GB (": blah blah :") and add the ones on this file (copy/paste).

Tell me if it is okay this way.

Also, don't forget to approve my last two words additions for US+GB from two days ago or so... :-)

Thanks!
Comment 11 Marco A.G.Pinto 2021-02-17 21:47:29 UTC
[12:38] <marcoagpinto> If I edit the GB autocorrect using the browser and replace the current emojis with my list with hex references, will it be possible for them to be converted to smileys?
[12:38] <marcoagpinto> hex to smiley
[12:52] <bearon> i have no idea, i'm afraid
Comment 12 Marco A.G.Pinto 2021-02-23 10:07:39 UTC
I have done it here:
https://gerrit.libreoffice.org/c/core/+/111326

After Jenkins processes it, and an admin approves it, this ticket can be closed.